package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSWorldMapSectionType;

@ObfuscatedName("jn")
public class WorldMapSectionType implements MouseWheel, RSWorldMapSectionType {
   @ObfuscatedName("wp")
   @ObfuscatedSignature(
      descriptor = "Loz;"
   )
   static JagNetThread field2556;
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Ljn;"
   )
   static final WorldMapSectionType WORLDMAPSECTIONTYPE0;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Ljn;"
   )
   static final WorldMapSectionType WORLDMAPSECTIONTYPE1;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Ljn;"
   )
   static final WorldMapSectionType WORLDMAPSECTIONTYPE2;
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Ljn;"
   )
   static final WorldMapSectionType WORLDMAPSECTIONTYPE3;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = 480024893
   )
   final int type;
   @ObfuscatedName("au")
   final byte id;

   static {
      WORLDMAPSECTIONTYPE0 = new WorldMapSectionType(0, (byte)0);
      WORLDMAPSECTIONTYPE1 = new WorldMapSectionType(1, (byte)1);
      WORLDMAPSECTIONTYPE2 = new WorldMapSectionType(3, (byte)2);
      WORLDMAPSECTIONTYPE3 = new WorldMapSectionType(2, (byte)3);
   }

   WorldMapSectionType(int var1, byte var2) {
      this.type = var1;
      this.id = var2;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.id;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(I)[Ljn;",
      garbageValue = "-190919972"
   )
   static WorldMapSectionType[] method4884() {
      return new WorldMapSectionType[]{WORLDMAPSECTIONTYPE3, WORLDMAPSECTIONTYPE1, WORLDMAPSECTIONTYPE0, WORLDMAPSECTIONTYPE2};
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(I)V",
      garbageValue = "1808964727"
   )
   static void method4888_base() {
      for(ObjectSound var0 = (ObjectSound)ObjectSound.objectSounds.method7265(); var0 != null; var0 = (ObjectSound)ObjectSound.objectSounds.method7235()) {
         if(var0.stream1 != null) {
            LoginScreenAnimation.pcmStreamMixer.method745(var0.stream1);
            var0.stream1 = null;
         }

         if(var0.stream2 != null) {
            LoginScreenAnimation.pcmStreamMixer.method745(var0.stream2);
            var0.stream2 = null;
         }
      }

      ObjectSound.objectSounds.clear_base();
   }

   @ObfuscatedName("lj")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/String;Ljava/lang/String;IIIII)V",
      garbageValue = "57610498"
   )
   public static final void insertMenuItemNoShift_base(String var0, String var1, int var2, int var3, int var4, int var5) {
      GrandExchangeOfferTotalQuantityComparator.insertMenuItem_base(var0, var1, var2, var3, var4, var5, -1, false);
   }

   @ObfuscatedName("nx")
   @ObfuscatedSignature(
      descriptor = "(I)V",
      garbageValue = "1233384886"
   )
   static final void Clan_leaveChat_base() {
      PacketBufferNode var0 = class113.method2919(ClientPacket.FRIENDCHAT_JOIN_LEAVE, Client.packetWriter.isaacCipher);
      var0.packetBuffer.writeByte_base(0);
      Client.packetWriter.method2867(var0);
   }

   @ObfuscatedName("oz")
   @ObfuscatedSignature(
      descriptor = "(B)V",
      garbageValue = "-113"
   )
   static void method4889_base() {
      if(MidiPcmStream.field3456 != null) {
         Client.field783 = Client.cycle;
         MidiPcmStream.field3456.method7163_base();

         for(int var0 = 0; var0 < Client.players.length; ++var0) {
            if(Client.players[var0] != null) {
               MidiPcmStream.field3456.method7159_base((Client.players[var0].x >> 7) + NpcOverrides.baseX, (Client.players[var0].y >> 7) + class101.baseY);
            }
         }
      }

   }
}
